#
# spec file for package python-tackerclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname python-tackerclient
Name:           python-tackerclient
Version:        0.15.0
Release:        1.7
Summary:        Client API library for Tacker
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-cliff
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-keystoneclient
BuildRequires:  python-mock
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.serialization
BuildRequires:  python-python-subunit
BuildRequires:  python-stestr
BuildRequires:  python-testtools
Requires:       python-Babel
Requires:       python-cliff
Requires:       python-iso8601
Requires:       python-keystoneclient
Requires:       python-netaddr
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-simplejson
Requires:       python-six
BuildArch:      noarch

%description
OpenStack tacker client

%package doc
Summary:        Documentation for OpenStack tacker client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description doc
OpenStack tacker client.

This package contains the documentation.

%prep
%autosetup -p1 -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{py2_build}

# Build HTML docs and man page
%{__python2} setup.py build_sphinx --builder=html,man
rm -rf build/sphinx/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} -m stestr.cli run

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/tackerclient
%{python2_sitelib}/*.egg-info
%{_bindir}/tacker

%files doc
%doc build/sphinx/html
%license LICENSE

%changelog
